NX Open C++ Reference Guide
|
Represents a CAE::LaminateDrapingData builder
To create a new instance of this class, use CAE::LaminatePly::CreateDrapingDataBuilder
Created in NX6.0.0.
More...
Public Types | |
enum | DrapingPathType { DrapingPathTypeGeodesic, DrapingPathTypeSeedCurve } |
Draping Path Types. More... | |
enum | SecondaryVectorType { SecondaryVectorTypeDefault, SecondaryVectorTypeSpecify } |
Second Alignment Types. More... | |
enum | SecondVectorType { SecondVectorTypeDefault, SecondVectorTypeSpecify } |
Second Vector Type (deprecated) Technically, this enum has been deprecated since NX7.5 (its associated methods were deprecated in NX75 and removed in NX85) More... | |
enum | SolverType { SolverTypeNone, SolverTypeUnidirectional, SolverTypeWoven, SolverTypeImported } |
Solver Types. More... | |
Public Member Functions | |
NXOpen::CAE::LaminateSelectEntitiesBuilder * | CutSelection () |
Returns the selected cut curves. | |
NXOpen::Expression * | DrapingAbsMeshSize () |
Returns the absolute draping mesh size Created in NX8.5.1. | |
double | DrapingMeshRatio () |
Returns the draping mesh ratio Created in NX7.5.0. | |
double | DrapingMeshSize () |
Returns the draping mesh size | |
NXOpen::CAE::LaminateDrapingDataBuilder::DrapingPathType | DrapingPath () |
Returns the draping path Created in NX7.5.0. | |
NXOpen::CAE::LaminateSelectEntitiesBuilder * | FaceSelection () |
Returns the selected faces. | |
double | LockAngle () |
Returns the lock angle | |
NXOpen::Expression * | LockingAngle () |
Returns the locking angle Created in NX8.5.1. | |
NXOpen::Direction * | PrimaryVector () |
Returns the primary alignment Created in NX6.0.0. | |
NXOpen::Direction * | SecondaryVector () |
Returns the specify Created in NX7.5.0. | |
NXOpen::CAE::LaminateDrapingDataBuilder::SecondaryVectorType | SecondaryVectorChoice () |
Returns the secondary alignment Created in NX7.5.0. | |
NXOpen::CAE::LaminateSelectEntitiesBuilder * | SeedSelection () |
Returns the selected seed curves. | |
void | SetDrapingMeshRatio (double ratio) |
Sets the draping mesh ratio Created in NX7.5.0. | |
void | SetDrapingMeshSize (double size) |
Sets the draping mesh size | |
void | SetDrapingPath (NXOpen::CAE::LaminateDrapingDataBuilder::DrapingPathType type) |
Sets the draping path Created in NX7.5.0. | |
void | SetLockAngle (double angle) |
Sets the lock angle | |
void | SetPrimaryVector (NXOpen::Direction *primaryAlignment) |
Sets the primary alignment Created in NX6.0.0. | |
void | SetSecondaryVector (NXOpen::Direction *specify) |
Sets the specify Created in NX7.5.0. | |
void | SetSecondaryVectorChoice (NXOpen::CAE::LaminateDrapingDataBuilder::SecondaryVectorType secondaryAlignment) |
Sets the secondary alignment Created in NX7.5.0. | |
void | SetSolver (NXOpen::CAE::LaminateDrapingDataBuilder::SolverType solver) |
Sets the solver Created in NX6.0.0. | |
void | SetStartPoint (NXOpen::Point *startPoint) |
Sets the start point Created in NX6.0.0. | |
void | SetUsingDrapingMeshSize (bool usingSize) |
Sets the method used Created in NX7.5.0. | |
NXOpen::CAE::LaminateDrapingDataBuilder::SolverType | Solver () |
Returns the solver Created in NX6.0.0. | |
NXOpen::Point * | StartPoint () |
Returns the start point Created in NX6.0.0. | |
bool | UsingDrapingMeshSize () |
Returns the method used Created in NX7.5.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a CAE::LaminateDrapingData builder
To create a new instance of this class, use CAE::LaminatePly::CreateDrapingDataBuilder
Created in NX6.0.0.
Second Vector Type (deprecated) Technically, this enum has been deprecated since NX7.5 (its associated methods were deprecated in NX75 and removed in NX85)
Use CAE::LaminateDrapingDataBuilder::SecondaryVectorType instead.
NXOpen::CAE::LaminateSelectEntitiesBuilder* NXOpen::CAE::LaminateDrapingDataBuilder::CutSelection | ( | ) |
Returns the selected cut curves.
Can be geometric edges or element edges.
Created in NX7.5.2.
License requirements : nx_lam_comp_adv ("Laminate Composites Advanced")
NXOpen::Expression* NXOpen::CAE::LaminateDrapingDataBuilder::DrapingAbsMeshSize | ( | ) |
Returns the absolute draping mesh size
Created in NX8.5.1.
License requirements : None
double NXOpen::CAE::LaminateDrapingDataBuilder::DrapingMeshRatio | ( | ) |
Returns the draping mesh ratio
Created in NX7.5.0.
License requirements : nx_lam_comp_adv ("Laminate Composites Advanced")
double NXOpen::CAE::LaminateDrapingDataBuilder::DrapingMeshSize | ( | ) |
Returns the draping mesh size
Use CAE::LaminateDrapingDataBuilder::DrapingAbsMeshSize instead.
Created in NX7.5.0.
License requirements : nx_lam_comp_adv ("Laminate Composites Advanced")
NXOpen::CAE::LaminateDrapingDataBuilder::DrapingPathType NXOpen::CAE::LaminateDrapingDataBuilder::DrapingPath | ( | ) |
Returns the draping path
Created in NX7.5.0.
License requirements : nx_lam_comp_adv ("Laminate Composites Advanced")
NXOpen::CAE::LaminateSelectEntitiesBuilder* NXOpen::CAE::LaminateDrapingDataBuilder::FaceSelection | ( | ) |
Returns the selected faces.
Can be geometric faces or element faces.
Created in NX7.5.2.
License requirements : nx_lam_comp_adv ("Laminate Composites Advanced")
double NXOpen::CAE::LaminateDrapingDataBuilder::LockAngle | ( | ) |
Returns the lock angle
Use CAE::LaminateDrapingDataBuilder::LockingAngle instead.
Created in NX6.0.0.
License requirements : nx_lam_comp_adv ("Laminate Composites Advanced")
NXOpen::Expression* NXOpen::CAE::LaminateDrapingDataBuilder::LockingAngle | ( | ) |
Returns the locking angle
Created in NX8.5.1.
License requirements : None
NXOpen::Direction* NXOpen::CAE::LaminateDrapingDataBuilder::PrimaryVector | ( | ) |
Returns the primary alignment
Created in NX6.0.0.
License requirements : nx_lam_comp_adv ("Laminate Composites Advanced")
NXOpen::Direction* NXOpen::CAE::LaminateDrapingDataBuilder::SecondaryVector | ( | ) |
Returns the specify
Created in NX7.5.0.
License requirements : nx_lam_comp_adv ("Laminate Composites Advanced")
NXOpen::CAE::LaminateDrapingDataBuilder::SecondaryVectorType NXOpen::CAE::LaminateDrapingDataBuilder::SecondaryVectorChoice | ( | ) |
Returns the secondary alignment
Created in NX7.5.0.
License requirements : nx_lam_comp_adv ("Laminate Composites Advanced")
NXOpen::CAE::LaminateSelectEntitiesBuilder* NXOpen::CAE::LaminateDrapingDataBuilder::SeedSelection | ( | ) |
Returns the selected seed curves.
Can be geometric edges or element edges.
Created in NX7.5.2.
License requirements : nx_lam_comp_adv ("Laminate Composites Advanced")
void NXOpen::CAE::LaminateDrapingDataBuilder::SetDrapingMeshRatio | ( | double | ratio | ) |
Sets the draping mesh ratio
Created in NX7.5.0.
License requirements : nx_lam_comp_adv ("Laminate Composites Advanced")
ratio | ratio |
void NXOpen::CAE::LaminateDrapingDataBuilder::SetDrapingMeshSize | ( | double | size | ) |
Sets the draping mesh size
Use CAE::LaminateDrapingDataBuilder::DrapingAbsMeshSize instead.
Created in NX7.5.0.
License requirements : nx_lam_comp_adv ("Laminate Composites Advanced")
size | size |
void NXOpen::CAE::LaminateDrapingDataBuilder::SetDrapingPath | ( | NXOpen::CAE::LaminateDrapingDataBuilder::DrapingPathType | type | ) |
Sets the draping path
Created in NX7.5.0.
License requirements : nx_lam_comp_adv ("Laminate Composites Advanced")
type | type |
void NXOpen::CAE::LaminateDrapingDataBuilder::SetLockAngle | ( | double | angle | ) |
Sets the lock angle
Use CAE::LaminateDrapingDataBuilder::LockingAngle instead.
Created in NX6.0.0.
License requirements : nx_lam_comp_adv ("Laminate Composites Advanced")
angle | lock angle |
void NXOpen::CAE::LaminateDrapingDataBuilder::SetPrimaryVector | ( | NXOpen::Direction * | primaryAlignment | ) |
Sets the primary alignment
Created in NX6.0.0.
License requirements : nx_lam_comp_adv ("Laminate Composites Advanced")
primaryAlignment | primaryalignment |
void NXOpen::CAE::LaminateDrapingDataBuilder::SetSecondaryVector | ( | NXOpen::Direction * | specify | ) |
Sets the specify
Created in NX7.5.0.
License requirements : nx_lam_comp_adv ("Laminate Composites Advanced")
specify | specify |
void NXOpen::CAE::LaminateDrapingDataBuilder::SetSecondaryVectorChoice | ( | NXOpen::CAE::LaminateDrapingDataBuilder::SecondaryVectorType | secondaryAlignment | ) |
Sets the secondary alignment
Created in NX7.5.0.
License requirements : nx_lam_comp_adv ("Laminate Composites Advanced")
secondaryAlignment | secondaryalignment |
void NXOpen::CAE::LaminateDrapingDataBuilder::SetSolver | ( | NXOpen::CAE::LaminateDrapingDataBuilder::SolverType | solver | ) |
Sets the solver
Created in NX6.0.0.
License requirements : nx_lam_comp_adv ("Laminate Composites Advanced")
solver | solver |
void NXOpen::CAE::LaminateDrapingDataBuilder::SetStartPoint | ( | NXOpen::Point * | startPoint | ) |
Sets the start point
Created in NX6.0.0.
License requirements : nx_lam_comp_adv ("Laminate Composites Advanced")
startPoint | startpoint |
void NXOpen::CAE::LaminateDrapingDataBuilder::SetUsingDrapingMeshSize | ( | bool | usingSize | ) |
Sets the method used
Created in NX7.5.0.
License requirements : nx_lam_comp_adv ("Laminate Composites Advanced")
usingSize | using size |
NXOpen::CAE::LaminateDrapingDataBuilder::SolverType NXOpen::CAE::LaminateDrapingDataBuilder::Solver | ( | ) |
Returns the solver
Created in NX6.0.0.
License requirements : nx_lam_comp_adv ("Laminate Composites Advanced")
NXOpen::Point* NXOpen::CAE::LaminateDrapingDataBuilder::StartPoint | ( | ) |
Returns the start point
Created in NX6.0.0.
License requirements : nx_lam_comp_adv ("Laminate Composites Advanced")
bool NXOpen::CAE::LaminateDrapingDataBuilder::UsingDrapingMeshSize | ( | ) |
Returns the method used
Created in NX7.5.0.
License requirements : nx_lam_comp_adv ("Laminate Composites Advanced")